<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class StoreFictitious extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'name'    => 'required|max:30|min:1',
        ];
    }

    public function messages()
    {
        return [
            'name.required' => trans('api.NAME_REQUIRED'),
            'name.max' => trans('api.NAME_TOO_LONG'),
            'name.min' => trans('api.NAME_TOO_SHORT'),
        ];
    }
}
