<?php

namespace App\Models;

use Dcat\Admin\Traits\HasDateTimeFormatter;
use Illuminate\Database\Eloquent\Model;

class UserReport extends Model
{
    use HasDateTimeFormatter;
    protected $table = 'user_report';
    protected $fillable = ['user_id','to_id','type','status','content','files','result'];

    public function user()
    {
        return $this->belongsTo(User::class,'user_id','id');
    }
}
