<?php

/**
 * A helper file for Dcat Admin, to provide autocomplete information to your IDE
 *
 * This file should not be included in your code, only analyzed by your IDE!
 *
 * @author jqh <841324345@qq.com>
 */
namespace Dcat\Admin {
    use Illuminate\Support\Collection;

    /**
     * @property Grid\Column|Collection select
     * @property Grid\Column|Collection id
     * @property Grid\Column|Collection name
     * @property Grid\Column|Collection type
     * @property Grid\Column|Collection version
     * @property Grid\Column|Collection detail
     * @property Grid\Column|Collection created_at
     * @property Grid\Column|Collection updated_at
     * @property Grid\Column|Collection is_enabled
     * @property Grid\Column|Collection parent_id
     * @property Grid\Column|Collection order
     * @property Grid\Column|Collection icon
     * @property Grid\Column|Collection uri
     * @property Grid\Column|Collection extension
     * @property Grid\Column|Collection permission_id
     * @property Grid\Column|Collection menu_id
     * @property Grid\Column|Collection slug
     * @property Grid\Column|Collection http_method
     * @property Grid\Column|Collection http_path
     * @property Grid\Column|Collection role_id
     * @property Grid\Column|Collection user_id
     * @property Grid\Column|Collection value
     * @property Grid\Column|Collection username
     * @property Grid\Column|Collection password
     * @property Grid\Column|Collection avatar
     * @property Grid\Column|Collection remember_token
     * @property Grid\Column|Collection md5
     * @property Grid\Column|Collection path
     * @property Grid\Column|Collection url
     * @property Grid\Column|Collection class
     * @property Grid\Column|Collection size
     * @property Grid\Column|Collection file_type
     * @property Grid\Column|Collection download
     * @property Grid\Column|Collection klass
     * @property Grid\Column|Collection objid
     * @property Grid\Column|Collection deleted_at
     * @property Grid\Column|Collection key
     * @property Grid\Column|Collection expiration
     * @property Grid\Column|Collection group
     * @property Grid\Column|Collection comment
     * @property Grid\Column|Collection sort
     * @property Grid\Column|Collection pid
     * @property Grid\Column|Collection short_name
     * @property Grid\Column|Collection grade
     * @property Grid\Column|Collection city_code
     * @property Grid\Column|Collection zip_code
     * @property Grid\Column|Collection merger_name
     * @property Grid\Column|Collection lng
     * @property Grid\Column|Collection lat
     * @property Grid\Column|Collection pinyin
     * @property Grid\Column|Collection uuid
     * @property Grid\Column|Collection connection
     * @property Grid\Column|Collection queue
     * @property Grid\Column|Collection payload
     * @property Grid\Column|Collection exception
     * @property Grid\Column|Collection failed_at
     * @property Grid\Column|Collection migration
     * @property Grid\Column|Collection batch
     * @property Grid\Column|Collection target_id
     * @property Grid\Column|Collection status
     * @property Grid\Column|Collection Owner_Account
     * @property Grid\Column|Collection group_name
     * @property Grid\Column|Collection GroupId
     * @property Grid\Column|Collection FaceUrl
     * @property Grid\Column|Collection MaxMemberCount
     * @property Grid\Column|Collection ApplyJoinOption
     * @property Grid\Column|Collection MemberCount
     * @property Grid\Column|Collection NextMsgSeq
     * @property Grid\Column|Collection course_id
     * @property Grid\Column|Collection hole_list
     * @property Grid\Column|Collection par
     * @property Grid\Column|Collection difficulty
     * @property Grid\Column|Collection gold_dis
     * @property Grid\Column|Collection blue_dis
     * @property Grid\Column|Collection white_dis
     * @property Grid\Column|Collection red_dis
     * @property Grid\Column|Collection course_field_id
     * @property Grid\Column|Collection member_name
     * @property Grid\Column|Collection member_no
     * @property Grid\Column|Collection whs
     * @property Grid\Column|Collection img
     * @property Grid\Column|Collection address
     * @property Grid\Column|Collection photos
     * @property Grid\Column|Collection position
     * @property Grid\Column|Collection desc
     * @property Grid\Column|Collection contacts_phone
     * @property Grid\Column|Collection open_time
     * @property Grid\Column|Collection close_time
     * @property Grid\Column|Collection service
     * @property Grid\Column|Collection hole_counts
     * @property Grid\Column|Collection square
     * @property Grid\Column|Collection length
     * @property Grid\Column|Collection style
     * @property Grid\Column|Collection en_title
     * @property Grid\Column|Collection content
     * @property Grid\Column|Collection en_content
     * @property Grid\Column|Collection email
     * @property Grid\Column|Collection feed_id
     * @property Grid\Column|Collection to_uid
     * @property Grid\Column|Collection file_url
     * @property Grid\Column|Collection like_num
     * @property Grid\Column|Collection forward_num
     * @property Grid\Column|Collection address_info
     * @property Grid\Column|Collection match_title
     * @property Grid\Column|Collection game_per_id
     * @property Grid\Column|Collection is_delete
     * @property Grid\Column|Collection team_id
     * @property Grid\Column|Collection forward_id
     * @property Grid\Column|Collection score_card_bg
     * @property Grid\Column|Collection sex
     * @property Grid\Column|Collection game_id
     * @property Grid\Column|Collection rule
     * @property Grid\Column|Collection scale
     * @property Grid\Column|Collection game_user_id
     * @property Grid\Column|Collection hole_id
     * @property Grid\Column|Collection change_user_id
     * @property Grid\Column|Collection score
     * @property Grid\Column|Collection level
     * @property Grid\Column|Collection begin_time
     * @property Grid\Column|Collection end_time
     * @property Grid\Column|Collection game_type_id
     * @property Grid\Column|Collection creator
     * @property Grid\Column|Collection forbid_look
     * @property Grid\Column|Collection forbid_join
     * @property Grid\Column|Collection lookers
     * @property Grid\Column|Collection members
     * @property Grid\Column|Collection cover_imgs
     * @property Grid\Column|Collection cat_id
     * @property Grid\Column|Collection integral
     * @property Grid\Column|Collection stock
     * @property Grid\Column|Collection specific_list
     * @property Grid\Column|Collection introduce
     * @property Grid\Column|Collection is_recommend
     * @property Grid\Column|Collection goods_id
     * @property Grid\Column|Collection pic_url
     * @property Grid\Column|Collection remark
     * @property Grid\Column|Collection zh_country
     * @property Grid\Column|Collection en_country
     * @property Grid\Column|Collection prefix
     * @property Grid\Column|Collection area
     * @property Grid\Column|Collection goods_attr_id
     * @property Grid\Column|Collection order_no
     * @property Grid\Column|Collection num
     * @property Grid\Column|Collection express_price
     * @property Grid\Column|Collection is_send
     * @property Grid\Column|Collection send_time
     * @property Grid\Column|Collection express
     * @property Grid\Column|Collection express_no
     * @property Grid\Column|Collection receiver
     * @property Grid\Column|Collection receiver_mobile
     * @property Grid\Column|Collection receiver_address
     * @property Grid\Column|Collection token
     * @property Grid\Column|Collection tokenable_type
     * @property Grid\Column|Collection tokenable_id
     * @property Grid\Column|Collection abilities
     * @property Grid\Column|Collection last_used_at
     * @property Grid\Column|Collection event
     * @property Grid\Column|Collection mobile
     * @property Grid\Column|Collection verify_key
     * @property Grid\Column|Collection sms_code
     * @property Grid\Column|Collection sms_result
     * @property Grid\Column|Collection on
     * @property Grid\Column|Collection chinese
     * @property Grid\Column|Collection fieldType
     * @property Grid\Column|Collection like_count
     * @property Grid\Column|Collection comment_count
     * @property Grid\Column|Collection share_count
     * @property Grid\Column|Collection publish_ip
     * @property Grid\Column|Collection photo_urls
     * @property Grid\Column|Collection member_counts
     * @property Grid\Column|Collection slogan
     * @property Grid\Column|Collection allow_join
     * @property Grid\Column|Collection set_date
     * @property Grid\Column|Collection cover_img
     * @property Grid\Column|Collection notice
     * @property Grid\Column|Collection notice_time
     * @property Grid\Column|Collection black_id
     * @property Grid\Column|Collection likes_count
     * @property Grid\Column|Collection comments_count
     * @property Grid\Column|Collection fans_count
     * @property Grid\Column|Collection follow_count
     * @property Grid\Column|Collection feeds_count
     * @property Grid\Column|Collection checkin_count
     * @property Grid\Column|Collection friends_count
     * @property Grid\Column|Collection file
     * @property Grid\Column|Collection bio
     * @property Grid\Column|Collection birthday
     * @property Grid\Column|Collection action_type
     * @property Grid\Column|Collection invitor_id
     * @property Grid\Column|Collection matter_id
     * @property Grid\Column|Collection reason
     * @property Grid\Column|Collection sub_id
     * @property Grid\Column|Collection do_user
     * @property Grid\Column|Collection to_id
     * @property Grid\Column|Collection files
     * @property Grid\Column|Collection result
     * @property Grid\Column|Collection tencent_im_user_id
     * @property Grid\Column|Collection wx_openid
     * @property Grid\Column|Collection fb_openid
     * @property Grid\Column|Collection apple_openid
     * @property Grid\Column|Collection location
     * @property Grid\Column|Collection usga
     * @property Grid\Column|Collection ball_age
     * @property Grid\Column|Collection bg
     * @property Grid\Column|Collection is_auth
     * @property Grid\Column|Collection online
     * @property Grid\Column|Collection last_login_time
     * @property Grid\Column|Collection register_ip
     * @property Grid\Column|Collection last_login_ip
     * @property Grid\Column|Collection lang
     * @property Grid\Column|Collection jpush_reg_id
     * @property Grid\Column|Collection jpush_voice
     * @property Grid\Column|Collection channel
     * @property Grid\Column|Collection account
     * @property Grid\Column|Collection code
     * @property Grid\Column|Collection state
     *
     * @method Grid\Column|Collection select(string $label = null)
     * @method Grid\Column|Collection id(string $label = null)
     * @method Grid\Column|Collection name(string $label = null)
     * @method Grid\Column|Collection type(string $label = null)
     * @method Grid\Column|Collection version(string $label = null)
     * @method Grid\Column|Collection detail(string $label = null)
     * @method Grid\Column|Collection created_at(string $label = null)
     * @method Grid\Column|Collection updated_at(string $label = null)
     * @method Grid\Column|Collection is_enabled(string $label = null)
     * @method Grid\Column|Collection parent_id(string $label = null)
     * @method Grid\Column|Collection order(string $label = null)
     * @method Grid\Column|Collection icon(string $label = null)
     * @method Grid\Column|Collection uri(string $label = null)
     * @method Grid\Column|Collection extension(string $label = null)
     * @method Grid\Column|Collection permission_id(string $label = null)
     * @method Grid\Column|Collection menu_id(string $label = null)
     * @method Grid\Column|Collection slug(string $label = null)
     * @method Grid\Column|Collection http_method(string $label = null)
     * @method Grid\Column|Collection http_path(string $label = null)
     * @method Grid\Column|Collection role_id(string $label = null)
     * @method Grid\Column|Collection user_id(string $label = null)
     * @method Grid\Column|Collection value(string $label = null)
     * @method Grid\Column|Collection username(string $label = null)
     * @method Grid\Column|Collection password(string $label = null)
     * @method Grid\Column|Collection avatar(string $label = null)
     * @method Grid\Column|Collection remember_token(string $label = null)
     * @method Grid\Column|Collection md5(string $label = null)
     * @method Grid\Column|Collection path(string $label = null)
     * @method Grid\Column|Collection url(string $label = null)
     * @method Grid\Column|Collection class(string $label = null)
     * @method Grid\Column|Collection size(string $label = null)
     * @method Grid\Column|Collection file_type(string $label = null)
     * @method Grid\Column|Collection download(string $label = null)
     * @method Grid\Column|Collection klass(string $label = null)
     * @method Grid\Column|Collection objid(string $label = null)
     * @method Grid\Column|Collection deleted_at(string $label = null)
     * @method Grid\Column|Collection key(string $label = null)
     * @method Grid\Column|Collection expiration(string $label = null)
     * @method Grid\Column|Collection group(string $label = null)
     * @method Grid\Column|Collection comment(string $label = null)
     * @method Grid\Column|Collection sort(string $label = null)
     * @method Grid\Column|Collection pid(string $label = null)
     * @method Grid\Column|Collection short_name(string $label = null)
     * @method Grid\Column|Collection grade(string $label = null)
     * @method Grid\Column|Collection city_code(string $label = null)
     * @method Grid\Column|Collection zip_code(string $label = null)
     * @method Grid\Column|Collection merger_name(string $label = null)
     * @method Grid\Column|Collection lng(string $label = null)
     * @method Grid\Column|Collection lat(string $label = null)
     * @method Grid\Column|Collection pinyin(string $label = null)
     * @method Grid\Column|Collection uuid(string $label = null)
     * @method Grid\Column|Collection connection(string $label = null)
     * @method Grid\Column|Collection queue(string $label = null)
     * @method Grid\Column|Collection payload(string $label = null)
     * @method Grid\Column|Collection exception(string $label = null)
     * @method Grid\Column|Collection failed_at(string $label = null)
     * @method Grid\Column|Collection migration(string $label = null)
     * @method Grid\Column|Collection batch(string $label = null)
     * @method Grid\Column|Collection target_id(string $label = null)
     * @method Grid\Column|Collection status(string $label = null)
     * @method Grid\Column|Collection Owner_Account(string $label = null)
     * @method Grid\Column|Collection group_name(string $label = null)
     * @method Grid\Column|Collection GroupId(string $label = null)
     * @method Grid\Column|Collection FaceUrl(string $label = null)
     * @method Grid\Column|Collection MaxMemberCount(string $label = null)
     * @method Grid\Column|Collection ApplyJoinOption(string $label = null)
     * @method Grid\Column|Collection MemberCount(string $label = null)
     * @method Grid\Column|Collection NextMsgSeq(string $label = null)
     * @method Grid\Column|Collection course_id(string $label = null)
     * @method Grid\Column|Collection hole_list(string $label = null)
     * @method Grid\Column|Collection par(string $label = null)
     * @method Grid\Column|Collection difficulty(string $label = null)
     * @method Grid\Column|Collection gold_dis(string $label = null)
     * @method Grid\Column|Collection blue_dis(string $label = null)
     * @method Grid\Column|Collection white_dis(string $label = null)
     * @method Grid\Column|Collection red_dis(string $label = null)
     * @method Grid\Column|Collection course_field_id(string $label = null)
     * @method Grid\Column|Collection member_name(string $label = null)
     * @method Grid\Column|Collection member_no(string $label = null)
     * @method Grid\Column|Collection whs(string $label = null)
     * @method Grid\Column|Collection img(string $label = null)
     * @method Grid\Column|Collection address(string $label = null)
     * @method Grid\Column|Collection photos(string $label = null)
     * @method Grid\Column|Collection position(string $label = null)
     * @method Grid\Column|Collection desc(string $label = null)
     * @method Grid\Column|Collection contacts_phone(string $label = null)
     * @method Grid\Column|Collection open_time(string $label = null)
     * @method Grid\Column|Collection close_time(string $label = null)
     * @method Grid\Column|Collection service(string $label = null)
     * @method Grid\Column|Collection hole_counts(string $label = null)
     * @method Grid\Column|Collection square(string $label = null)
     * @method Grid\Column|Collection length(string $label = null)
     * @method Grid\Column|Collection style(string $label = null)
     * @method Grid\Column|Collection en_title(string $label = null)
     * @method Grid\Column|Collection content(string $label = null)
     * @method Grid\Column|Collection en_content(string $label = null)
     * @method Grid\Column|Collection email(string $label = null)
     * @method Grid\Column|Collection feed_id(string $label = null)
     * @method Grid\Column|Collection to_uid(string $label = null)
     * @method Grid\Column|Collection file_url(string $label = null)
     * @method Grid\Column|Collection like_num(string $label = null)
     * @method Grid\Column|Collection forward_num(string $label = null)
     * @method Grid\Column|Collection address_info(string $label = null)
     * @method Grid\Column|Collection match_title(string $label = null)
     * @method Grid\Column|Collection game_per_id(string $label = null)
     * @method Grid\Column|Collection is_delete(string $label = null)
     * @method Grid\Column|Collection team_id(string $label = null)
     * @method Grid\Column|Collection forward_id(string $label = null)
     * @method Grid\Column|Collection score_card_bg(string $label = null)
     * @method Grid\Column|Collection sex(string $label = null)
     * @method Grid\Column|Collection game_id(string $label = null)
     * @method Grid\Column|Collection rule(string $label = null)
     * @method Grid\Column|Collection scale(string $label = null)
     * @method Grid\Column|Collection game_user_id(string $label = null)
     * @method Grid\Column|Collection hole_id(string $label = null)
     * @method Grid\Column|Collection change_user_id(string $label = null)
     * @method Grid\Column|Collection score(string $label = null)
     * @method Grid\Column|Collection level(string $label = null)
     * @method Grid\Column|Collection begin_time(string $label = null)
     * @method Grid\Column|Collection end_time(string $label = null)
     * @method Grid\Column|Collection game_type_id(string $label = null)
     * @method Grid\Column|Collection creator(string $label = null)
     * @method Grid\Column|Collection forbid_look(string $label = null)
     * @method Grid\Column|Collection forbid_join(string $label = null)
     * @method Grid\Column|Collection lookers(string $label = null)
     * @method Grid\Column|Collection members(string $label = null)
     * @method Grid\Column|Collection cover_imgs(string $label = null)
     * @method Grid\Column|Collection cat_id(string $label = null)
     * @method Grid\Column|Collection integral(string $label = null)
     * @method Grid\Column|Collection stock(string $label = null)
     * @method Grid\Column|Collection specific_list(string $label = null)
     * @method Grid\Column|Collection introduce(string $label = null)
     * @method Grid\Column|Collection is_recommend(string $label = null)
     * @method Grid\Column|Collection goods_id(string $label = null)
     * @method Grid\Column|Collection pic_url(string $label = null)
     * @method Grid\Column|Collection remark(string $label = null)
     * @method Grid\Column|Collection zh_country(string $label = null)
     * @method Grid\Column|Collection en_country(string $label = null)
     * @method Grid\Column|Collection prefix(string $label = null)
     * @method Grid\Column|Collection area(string $label = null)
     * @method Grid\Column|Collection goods_attr_id(string $label = null)
     * @method Grid\Column|Collection order_no(string $label = null)
     * @method Grid\Column|Collection num(string $label = null)
     * @method Grid\Column|Collection express_price(string $label = null)
     * @method Grid\Column|Collection is_send(string $label = null)
     * @method Grid\Column|Collection send_time(string $label = null)
     * @method Grid\Column|Collection express(string $label = null)
     * @method Grid\Column|Collection express_no(string $label = null)
     * @method Grid\Column|Collection receiver(string $label = null)
     * @method Grid\Column|Collection receiver_mobile(string $label = null)
     * @method Grid\Column|Collection receiver_address(string $label = null)
     * @method Grid\Column|Collection token(string $label = null)
     * @method Grid\Column|Collection tokenable_type(string $label = null)
     * @method Grid\Column|Collection tokenable_id(string $label = null)
     * @method Grid\Column|Collection abilities(string $label = null)
     * @method Grid\Column|Collection last_used_at(string $label = null)
     * @method Grid\Column|Collection event(string $label = null)
     * @method Grid\Column|Collection mobile(string $label = null)
     * @method Grid\Column|Collection verify_key(string $label = null)
     * @method Grid\Column|Collection sms_code(string $label = null)
     * @method Grid\Column|Collection sms_result(string $label = null)
     * @method Grid\Column|Collection on(string $label = null)
     * @method Grid\Column|Collection chinese(string $label = null)
     * @method Grid\Column|Collection fieldType(string $label = null)
     * @method Grid\Column|Collection like_count(string $label = null)
     * @method Grid\Column|Collection comment_count(string $label = null)
     * @method Grid\Column|Collection share_count(string $label = null)
     * @method Grid\Column|Collection publish_ip(string $label = null)
     * @method Grid\Column|Collection photo_urls(string $label = null)
     * @method Grid\Column|Collection member_counts(string $label = null)
     * @method Grid\Column|Collection slogan(string $label = null)
     * @method Grid\Column|Collection allow_join(string $label = null)
     * @method Grid\Column|Collection set_date(string $label = null)
     * @method Grid\Column|Collection cover_img(string $label = null)
     * @method Grid\Column|Collection notice(string $label = null)
     * @method Grid\Column|Collection notice_time(string $label = null)
     * @method Grid\Column|Collection black_id(string $label = null)
     * @method Grid\Column|Collection likes_count(string $label = null)
     * @method Grid\Column|Collection comments_count(string $label = null)
     * @method Grid\Column|Collection fans_count(string $label = null)
     * @method Grid\Column|Collection follow_count(string $label = null)
     * @method Grid\Column|Collection feeds_count(string $label = null)
     * @method Grid\Column|Collection checkin_count(string $label = null)
     * @method Grid\Column|Collection friends_count(string $label = null)
     * @method Grid\Column|Collection file(string $label = null)
     * @method Grid\Column|Collection bio(string $label = null)
     * @method Grid\Column|Collection birthday(string $label = null)
     * @method Grid\Column|Collection action_type(string $label = null)
     * @method Grid\Column|Collection invitor_id(string $label = null)
     * @method Grid\Column|Collection matter_id(string $label = null)
     * @method Grid\Column|Collection reason(string $label = null)
     * @method Grid\Column|Collection sub_id(string $label = null)
     * @method Grid\Column|Collection do_user(string $label = null)
     * @method Grid\Column|Collection to_id(string $label = null)
     * @method Grid\Column|Collection files(string $label = null)
     * @method Grid\Column|Collection result(string $label = null)
     * @method Grid\Column|Collection tencent_im_user_id(string $label = null)
     * @method Grid\Column|Collection wx_openid(string $label = null)
     * @method Grid\Column|Collection fb_openid(string $label = null)
     * @method Grid\Column|Collection apple_openid(string $label = null)
     * @method Grid\Column|Collection location(string $label = null)
     * @method Grid\Column|Collection usga(string $label = null)
     * @method Grid\Column|Collection ball_age(string $label = null)
     * @method Grid\Column|Collection bg(string $label = null)
     * @method Grid\Column|Collection is_auth(string $label = null)
     * @method Grid\Column|Collection online(string $label = null)
     * @method Grid\Column|Collection last_login_time(string $label = null)
     * @method Grid\Column|Collection register_ip(string $label = null)
     * @method Grid\Column|Collection last_login_ip(string $label = null)
     * @method Grid\Column|Collection lang(string $label = null)
     * @method Grid\Column|Collection jpush_reg_id(string $label = null)
     * @method Grid\Column|Collection jpush_voice(string $label = null)
     * @method Grid\Column|Collection channel(string $label = null)
     * @method Grid\Column|Collection account(string $label = null)
     * @method Grid\Column|Collection code(string $label = null)
     * @method Grid\Column|Collection state(string $label = null)
     */
    class Grid {}

    class MiniGrid extends Grid {}

    /**
     * @property Show\Field|Collection select
     * @property Show\Field|Collection id
     * @property Show\Field|Collection name
     * @property Show\Field|Collection type
     * @property Show\Field|Collection version
     * @property Show\Field|Collection detail
     * @property Show\Field|Collection created_at
     * @property Show\Field|Collection updated_at
     * @property Show\Field|Collection is_enabled
     * @property Show\Field|Collection parent_id
     * @property Show\Field|Collection order
     * @property Show\Field|Collection icon
     * @property Show\Field|Collection uri
     * @property Show\Field|Collection extension
     * @property Show\Field|Collection permission_id
     * @property Show\Field|Collection menu_id
     * @property Show\Field|Collection slug
     * @property Show\Field|Collection http_method
     * @property Show\Field|Collection http_path
     * @property Show\Field|Collection role_id
     * @property Show\Field|Collection user_id
     * @property Show\Field|Collection value
     * @property Show\Field|Collection username
     * @property Show\Field|Collection password
     * @property Show\Field|Collection avatar
     * @property Show\Field|Collection remember_token
     * @property Show\Field|Collection md5
     * @property Show\Field|Collection path
     * @property Show\Field|Collection url
     * @property Show\Field|Collection class
     * @property Show\Field|Collection size
     * @property Show\Field|Collection file_type
     * @property Show\Field|Collection download
     * @property Show\Field|Collection klass
     * @property Show\Field|Collection objid
     * @property Show\Field|Collection deleted_at
     * @property Show\Field|Collection key
     * @property Show\Field|Collection expiration
     * @property Show\Field|Collection group
     * @property Show\Field|Collection comment
     * @property Show\Field|Collection sort
     * @property Show\Field|Collection pid
     * @property Show\Field|Collection short_name
     * @property Show\Field|Collection grade
     * @property Show\Field|Collection city_code
     * @property Show\Field|Collection zip_code
     * @property Show\Field|Collection merger_name
     * @property Show\Field|Collection lng
     * @property Show\Field|Collection lat
     * @property Show\Field|Collection pinyin
     * @property Show\Field|Collection uuid
     * @property Show\Field|Collection connection
     * @property Show\Field|Collection queue
     * @property Show\Field|Collection payload
     * @property Show\Field|Collection exception
     * @property Show\Field|Collection failed_at
     * @property Show\Field|Collection migration
     * @property Show\Field|Collection batch
     * @property Show\Field|Collection target_id
     * @property Show\Field|Collection status
     * @property Show\Field|Collection Owner_Account
     * @property Show\Field|Collection group_name
     * @property Show\Field|Collection GroupId
     * @property Show\Field|Collection FaceUrl
     * @property Show\Field|Collection MaxMemberCount
     * @property Show\Field|Collection ApplyJoinOption
     * @property Show\Field|Collection MemberCount
     * @property Show\Field|Collection NextMsgSeq
     * @property Show\Field|Collection course_id
     * @property Show\Field|Collection hole_list
     * @property Show\Field|Collection par
     * @property Show\Field|Collection difficulty
     * @property Show\Field|Collection gold_dis
     * @property Show\Field|Collection blue_dis
     * @property Show\Field|Collection white_dis
     * @property Show\Field|Collection red_dis
     * @property Show\Field|Collection course_field_id
     * @property Show\Field|Collection member_name
     * @property Show\Field|Collection member_no
     * @property Show\Field|Collection whs
     * @property Show\Field|Collection img
     * @property Show\Field|Collection address
     * @property Show\Field|Collection photos
     * @property Show\Field|Collection position
     * @property Show\Field|Collection desc
     * @property Show\Field|Collection contacts_phone
     * @property Show\Field|Collection open_time
     * @property Show\Field|Collection close_time
     * @property Show\Field|Collection service
     * @property Show\Field|Collection hole_counts
     * @property Show\Field|Collection square
     * @property Show\Field|Collection length
     * @property Show\Field|Collection style
     * @property Show\Field|Collection en_title
     * @property Show\Field|Collection content
     * @property Show\Field|Collection en_content
     * @property Show\Field|Collection email
     * @property Show\Field|Collection feed_id
     * @property Show\Field|Collection to_uid
     * @property Show\Field|Collection file_url
     * @property Show\Field|Collection like_num
     * @property Show\Field|Collection forward_num
     * @property Show\Field|Collection address_info
     * @property Show\Field|Collection match_title
     * @property Show\Field|Collection game_per_id
     * @property Show\Field|Collection is_delete
     * @property Show\Field|Collection team_id
     * @property Show\Field|Collection forward_id
     * @property Show\Field|Collection score_card_bg
     * @property Show\Field|Collection sex
     * @property Show\Field|Collection game_id
     * @property Show\Field|Collection rule
     * @property Show\Field|Collection scale
     * @property Show\Field|Collection game_user_id
     * @property Show\Field|Collection hole_id
     * @property Show\Field|Collection change_user_id
     * @property Show\Field|Collection score
     * @property Show\Field|Collection level
     * @property Show\Field|Collection begin_time
     * @property Show\Field|Collection end_time
     * @property Show\Field|Collection game_type_id
     * @property Show\Field|Collection creator
     * @property Show\Field|Collection forbid_look
     * @property Show\Field|Collection forbid_join
     * @property Show\Field|Collection lookers
     * @property Show\Field|Collection members
     * @property Show\Field|Collection cover_imgs
     * @property Show\Field|Collection cat_id
     * @property Show\Field|Collection integral
     * @property Show\Field|Collection stock
     * @property Show\Field|Collection specific_list
     * @property Show\Field|Collection introduce
     * @property Show\Field|Collection is_recommend
     * @property Show\Field|Collection goods_id
     * @property Show\Field|Collection pic_url
     * @property Show\Field|Collection remark
     * @property Show\Field|Collection zh_country
     * @property Show\Field|Collection en_country
     * @property Show\Field|Collection prefix
     * @property Show\Field|Collection area
     * @property Show\Field|Collection goods_attr_id
     * @property Show\Field|Collection order_no
     * @property Show\Field|Collection num
     * @property Show\Field|Collection express_price
     * @property Show\Field|Collection is_send
     * @property Show\Field|Collection send_time
     * @property Show\Field|Collection express
     * @property Show\Field|Collection express_no
     * @property Show\Field|Collection receiver
     * @property Show\Field|Collection receiver_mobile
     * @property Show\Field|Collection receiver_address
     * @property Show\Field|Collection token
     * @property Show\Field|Collection tokenable_type
     * @property Show\Field|Collection tokenable_id
     * @property Show\Field|Collection abilities
     * @property Show\Field|Collection last_used_at
     * @property Show\Field|Collection event
     * @property Show\Field|Collection mobile
     * @property Show\Field|Collection verify_key
     * @property Show\Field|Collection sms_code
     * @property Show\Field|Collection sms_result
     * @property Show\Field|Collection on
     * @property Show\Field|Collection chinese
     * @property Show\Field|Collection fieldType
     * @property Show\Field|Collection like_count
     * @property Show\Field|Collection comment_count
     * @property Show\Field|Collection share_count
     * @property Show\Field|Collection publish_ip
     * @property Show\Field|Collection photo_urls
     * @property Show\Field|Collection member_counts
     * @property Show\Field|Collection slogan
     * @property Show\Field|Collection allow_join
     * @property Show\Field|Collection set_date
     * @property Show\Field|Collection cover_img
     * @property Show\Field|Collection notice
     * @property Show\Field|Collection notice_time
     * @property Show\Field|Collection black_id
     * @property Show\Field|Collection likes_count
     * @property Show\Field|Collection comments_count
     * @property Show\Field|Collection fans_count
     * @property Show\Field|Collection follow_count
     * @property Show\Field|Collection feeds_count
     * @property Show\Field|Collection checkin_count
     * @property Show\Field|Collection friends_count
     * @property Show\Field|Collection file
     * @property Show\Field|Collection bio
     * @property Show\Field|Collection birthday
     * @property Show\Field|Collection action_type
     * @property Show\Field|Collection invitor_id
     * @property Show\Field|Collection matter_id
     * @property Show\Field|Collection reason
     * @property Show\Field|Collection sub_id
     * @property Show\Field|Collection do_user
     * @property Show\Field|Collection to_id
     * @property Show\Field|Collection files
     * @property Show\Field|Collection result
     * @property Show\Field|Collection tencent_im_user_id
     * @property Show\Field|Collection wx_openid
     * @property Show\Field|Collection fb_openid
     * @property Show\Field|Collection apple_openid
     * @property Show\Field|Collection location
     * @property Show\Field|Collection usga
     * @property Show\Field|Collection ball_age
     * @property Show\Field|Collection bg
     * @property Show\Field|Collection is_auth
     * @property Show\Field|Collection online
     * @property Show\Field|Collection last_login_time
     * @property Show\Field|Collection register_ip
     * @property Show\Field|Collection last_login_ip
     * @property Show\Field|Collection lang
     * @property Show\Field|Collection jpush_reg_id
     * @property Show\Field|Collection jpush_voice
     * @property Show\Field|Collection channel
     * @property Show\Field|Collection account
     * @property Show\Field|Collection code
     * @property Show\Field|Collection state
     *
     * @method Show\Field|Collection select(string $label = null)
     * @method Show\Field|Collection id(string $label = null)
     * @method Show\Field|Collection name(string $label = null)
     * @method Show\Field|Collection type(string $label = null)
     * @method Show\Field|Collection version(string $label = null)
     * @method Show\Field|Collection detail(string $label = null)
     * @method Show\Field|Collection created_at(string $label = null)
     * @method Show\Field|Collection updated_at(string $label = null)
     * @method Show\Field|Collection is_enabled(string $label = null)
     * @method Show\Field|Collection parent_id(string $label = null)
     * @method Show\Field|Collection order(string $label = null)
     * @method Show\Field|Collection icon(string $label = null)
     * @method Show\Field|Collection uri(string $label = null)
     * @method Show\Field|Collection extension(string $label = null)
     * @method Show\Field|Collection permission_id(string $label = null)
     * @method Show\Field|Collection menu_id(string $label = null)
     * @method Show\Field|Collection slug(string $label = null)
     * @method Show\Field|Collection http_method(string $label = null)
     * @method Show\Field|Collection http_path(string $label = null)
     * @method Show\Field|Collection role_id(string $label = null)
     * @method Show\Field|Collection user_id(string $label = null)
     * @method Show\Field|Collection value(string $label = null)
     * @method Show\Field|Collection username(string $label = null)
     * @method Show\Field|Collection password(string $label = null)
     * @method Show\Field|Collection avatar(string $label = null)
     * @method Show\Field|Collection remember_token(string $label = null)
     * @method Show\Field|Collection md5(string $label = null)
     * @method Show\Field|Collection path(string $label = null)
     * @method Show\Field|Collection url(string $label = null)
     * @method Show\Field|Collection class(string $label = null)
     * @method Show\Field|Collection size(string $label = null)
     * @method Show\Field|Collection file_type(string $label = null)
     * @method Show\Field|Collection download(string $label = null)
     * @method Show\Field|Collection klass(string $label = null)
     * @method Show\Field|Collection objid(string $label = null)
     * @method Show\Field|Collection deleted_at(string $label = null)
     * @method Show\Field|Collection key(string $label = null)
     * @method Show\Field|Collection expiration(string $label = null)
     * @method Show\Field|Collection group(string $label = null)
     * @method Show\Field|Collection comment(string $label = null)
     * @method Show\Field|Collection sort(string $label = null)
     * @method Show\Field|Collection pid(string $label = null)
     * @method Show\Field|Collection short_name(string $label = null)
     * @method Show\Field|Collection grade(string $label = null)
     * @method Show\Field|Collection city_code(string $label = null)
     * @method Show\Field|Collection zip_code(string $label = null)
     * @method Show\Field|Collection merger_name(string $label = null)
     * @method Show\Field|Collection lng(string $label = null)
     * @method Show\Field|Collection lat(string $label = null)
     * @method Show\Field|Collection pinyin(string $label = null)
     * @method Show\Field|Collection uuid(string $label = null)
     * @method Show\Field|Collection connection(string $label = null)
     * @method Show\Field|Collection queue(string $label = null)
     * @method Show\Field|Collection payload(string $label = null)
     * @method Show\Field|Collection exception(string $label = null)
     * @method Show\Field|Collection failed_at(string $label = null)
     * @method Show\Field|Collection migration(string $label = null)
     * @method Show\Field|Collection batch(string $label = null)
     * @method Show\Field|Collection target_id(string $label = null)
     * @method Show\Field|Collection status(string $label = null)
     * @method Show\Field|Collection Owner_Account(string $label = null)
     * @method Show\Field|Collection group_name(string $label = null)
     * @method Show\Field|Collection GroupId(string $label = null)
     * @method Show\Field|Collection FaceUrl(string $label = null)
     * @method Show\Field|Collection MaxMemberCount(string $label = null)
     * @method Show\Field|Collection ApplyJoinOption(string $label = null)
     * @method Show\Field|Collection MemberCount(string $label = null)
     * @method Show\Field|Collection NextMsgSeq(string $label = null)
     * @method Show\Field|Collection course_id(string $label = null)
     * @method Show\Field|Collection hole_list(string $label = null)
     * @method Show\Field|Collection par(string $label = null)
     * @method Show\Field|Collection difficulty(string $label = null)
     * @method Show\Field|Collection gold_dis(string $label = null)
     * @method Show\Field|Collection blue_dis(string $label = null)
     * @method Show\Field|Collection white_dis(string $label = null)
     * @method Show\Field|Collection red_dis(string $label = null)
     * @method Show\Field|Collection course_field_id(string $label = null)
     * @method Show\Field|Collection member_name(string $label = null)
     * @method Show\Field|Collection member_no(string $label = null)
     * @method Show\Field|Collection whs(string $label = null)
     * @method Show\Field|Collection img(string $label = null)
     * @method Show\Field|Collection address(string $label = null)
     * @method Show\Field|Collection photos(string $label = null)
     * @method Show\Field|Collection position(string $label = null)
     * @method Show\Field|Collection desc(string $label = null)
     * @method Show\Field|Collection contacts_phone(string $label = null)
     * @method Show\Field|Collection open_time(string $label = null)
     * @method Show\Field|Collection close_time(string $label = null)
     * @method Show\Field|Collection service(string $label = null)
     * @method Show\Field|Collection hole_counts(string $label = null)
     * @method Show\Field|Collection square(string $label = null)
     * @method Show\Field|Collection length(string $label = null)
     * @method Show\Field|Collection style(string $label = null)
     * @method Show\Field|Collection en_title(string $label = null)
     * @method Show\Field|Collection content(string $label = null)
     * @method Show\Field|Collection en_content(string $label = null)
     * @method Show\Field|Collection email(string $label = null)
     * @method Show\Field|Collection feed_id(string $label = null)
     * @method Show\Field|Collection to_uid(string $label = null)
     * @method Show\Field|Collection file_url(string $label = null)
     * @method Show\Field|Collection like_num(string $label = null)
     * @method Show\Field|Collection forward_num(string $label = null)
     * @method Show\Field|Collection address_info(string $label = null)
     * @method Show\Field|Collection match_title(string $label = null)
     * @method Show\Field|Collection game_per_id(string $label = null)
     * @method Show\Field|Collection is_delete(string $label = null)
     * @method Show\Field|Collection team_id(string $label = null)
     * @method Show\Field|Collection forward_id(string $label = null)
     * @method Show\Field|Collection score_card_bg(string $label = null)
     * @method Show\Field|Collection sex(string $label = null)
     * @method Show\Field|Collection game_id(string $label = null)
     * @method Show\Field|Collection rule(string $label = null)
     * @method Show\Field|Collection scale(string $label = null)
     * @method Show\Field|Collection game_user_id(string $label = null)
     * @method Show\Field|Collection hole_id(string $label = null)
     * @method Show\Field|Collection change_user_id(string $label = null)
     * @method Show\Field|Collection score(string $label = null)
     * @method Show\Field|Collection level(string $label = null)
     * @method Show\Field|Collection begin_time(string $label = null)
     * @method Show\Field|Collection end_time(string $label = null)
     * @method Show\Field|Collection game_type_id(string $label = null)
     * @method Show\Field|Collection creator(string $label = null)
     * @method Show\Field|Collection forbid_look(string $label = null)
     * @method Show\Field|Collection forbid_join(string $label = null)
     * @method Show\Field|Collection lookers(string $label = null)
     * @method Show\Field|Collection members(string $label = null)
     * @method Show\Field|Collection cover_imgs(string $label = null)
     * @method Show\Field|Collection cat_id(string $label = null)
     * @method Show\Field|Collection integral(string $label = null)
     * @method Show\Field|Collection stock(string $label = null)
     * @method Show\Field|Collection specific_list(string $label = null)
     * @method Show\Field|Collection introduce(string $label = null)
     * @method Show\Field|Collection is_recommend(string $label = null)
     * @method Show\Field|Collection goods_id(string $label = null)
     * @method Show\Field|Collection pic_url(string $label = null)
     * @method Show\Field|Collection remark(string $label = null)
     * @method Show\Field|Collection zh_country(string $label = null)
     * @method Show\Field|Collection en_country(string $label = null)
     * @method Show\Field|Collection prefix(string $label = null)
     * @method Show\Field|Collection area(string $label = null)
     * @method Show\Field|Collection goods_attr_id(string $label = null)
     * @method Show\Field|Collection order_no(string $label = null)
     * @method Show\Field|Collection num(string $label = null)
     * @method Show\Field|Collection express_price(string $label = null)
     * @method Show\Field|Collection is_send(string $label = null)
     * @method Show\Field|Collection send_time(string $label = null)
     * @method Show\Field|Collection express(string $label = null)
     * @method Show\Field|Collection express_no(string $label = null)
     * @method Show\Field|Collection receiver(string $label = null)
     * @method Show\Field|Collection receiver_mobile(string $label = null)
     * @method Show\Field|Collection receiver_address(string $label = null)
     * @method Show\Field|Collection token(string $label = null)
     * @method Show\Field|Collection tokenable_type(string $label = null)
     * @method Show\Field|Collection tokenable_id(string $label = null)
     * @method Show\Field|Collection abilities(string $label = null)
     * @method Show\Field|Collection last_used_at(string $label = null)
     * @method Show\Field|Collection event(string $label = null)
     * @method Show\Field|Collection mobile(string $label = null)
     * @method Show\Field|Collection verify_key(string $label = null)
     * @method Show\Field|Collection sms_code(string $label = null)
     * @method Show\Field|Collection sms_result(string $label = null)
     * @method Show\Field|Collection on(string $label = null)
     * @method Show\Field|Collection chinese(string $label = null)
     * @method Show\Field|Collection fieldType(string $label = null)
     * @method Show\Field|Collection like_count(string $label = null)
     * @method Show\Field|Collection comment_count(string $label = null)
     * @method Show\Field|Collection share_count(string $label = null)
     * @method Show\Field|Collection publish_ip(string $label = null)
     * @method Show\Field|Collection photo_urls(string $label = null)
     * @method Show\Field|Collection member_counts(string $label = null)
     * @method Show\Field|Collection slogan(string $label = null)
     * @method Show\Field|Collection allow_join(string $label = null)
     * @method Show\Field|Collection set_date(string $label = null)
     * @method Show\Field|Collection cover_img(string $label = null)
     * @method Show\Field|Collection notice(string $label = null)
     * @method Show\Field|Collection notice_time(string $label = null)
     * @method Show\Field|Collection black_id(string $label = null)
     * @method Show\Field|Collection likes_count(string $label = null)
     * @method Show\Field|Collection comments_count(string $label = null)
     * @method Show\Field|Collection fans_count(string $label = null)
     * @method Show\Field|Collection follow_count(string $label = null)
     * @method Show\Field|Collection feeds_count(string $label = null)
     * @method Show\Field|Collection checkin_count(string $label = null)
     * @method Show\Field|Collection friends_count(string $label = null)
     * @method Show\Field|Collection file(string $label = null)
     * @method Show\Field|Collection bio(string $label = null)
     * @method Show\Field|Collection birthday(string $label = null)
     * @method Show\Field|Collection action_type(string $label = null)
     * @method Show\Field|Collection invitor_id(string $label = null)
     * @method Show\Field|Collection matter_id(string $label = null)
     * @method Show\Field|Collection reason(string $label = null)
     * @method Show\Field|Collection sub_id(string $label = null)
     * @method Show\Field|Collection do_user(string $label = null)
     * @method Show\Field|Collection to_id(string $label = null)
     * @method Show\Field|Collection files(string $label = null)
     * @method Show\Field|Collection result(string $label = null)
     * @method Show\Field|Collection tencent_im_user_id(string $label = null)
     * @method Show\Field|Collection wx_openid(string $label = null)
     * @method Show\Field|Collection fb_openid(string $label = null)
     * @method Show\Field|Collection apple_openid(string $label = null)
     * @method Show\Field|Collection location(string $label = null)
     * @method Show\Field|Collection usga(string $label = null)
     * @method Show\Field|Collection ball_age(string $label = null)
     * @method Show\Field|Collection bg(string $label = null)
     * @method Show\Field|Collection is_auth(string $label = null)
     * @method Show\Field|Collection online(string $label = null)
     * @method Show\Field|Collection last_login_time(string $label = null)
     * @method Show\Field|Collection register_ip(string $label = null)
     * @method Show\Field|Collection last_login_ip(string $label = null)
     * @method Show\Field|Collection lang(string $label = null)
     * @method Show\Field|Collection jpush_reg_id(string $label = null)
     * @method Show\Field|Collection jpush_voice(string $label = null)
     * @method Show\Field|Collection channel(string $label = null)
     * @method Show\Field|Collection account(string $label = null)
     * @method Show\Field|Collection code(string $label = null)
     * @method Show\Field|Collection state(string $label = null)
     */
    class Show {}

    /**
     
     */
    class Form {}

}

namespace Dcat\Admin\Grid {
    /**
     * @method $this code(...$params)
     */
    class Column {}

    /**
     
     */
    class Filter {}
}

namespace Dcat\Admin\Show {
    /**
     
     */
    class Field {}
}
