<?php

return [

    /*
    |--------------------------------------------------------------------------
    | Api Language Lines
    |--------------------------------------------------------------------------
    */
    'SUCCESS' => 'Changes Saved',
    'FAIL' => 'Fail',
    'NOT_EMPTY' => 'Cannot be empty',
    'UPLOAD_SUCCESS' => 'Upload success',
    'REQUESTS_TOO_FREQUENTLY' => 'Requests too frequently',
    'NOT_LOGIN' => 'Not login',
    'NOT_EXIST' => 'Invalid',
    'PARAMS_ERROR' => 'Params error',
    'SAVE_ERROR' => 'Save error',
    'FEED_NOT_EXIST' => 'Feed not exist',
    'COMMENT_NOT_EXIST' => 'Comment not exist',
    'USER_NOT_EXIST' => 'User not exist',
    'CONTENT_NOT_NULL' => 'Content not null',
    'WECHAT_CONFIG_LACK' => 'Wechat config lack',
    'GET_OPENID_FALSE' => 'Get openid false',
    'REGISTER_FALSE' => 'Register false',
    'REGISTER_CONFIRM_FALSE' => 'Register confirm false',
    'DATA_SAVE_FALSE' => 'Data save false',
    'MODULE_IS_NOT_USE' => 'Module is not use',
    'CONFIGURE_SMS_TEMPLATE' => 'Please configure sms template',
    'SMS_AUTH_FAILED' => 'Sms auth failed',
    'SMS_RETURN_ERROR' => 'Sms return error',
    'NEED_CONFIGURE' => 'Need configure',
    'USER_IN_BLACK_LIST' => 'User in black list',
    'USER_NO_AUTH' => 'User have no auth',
    'DATA_DECODE_FAILURE' => 'Data decode failure',
    'MOBILE_CODE_FALSE' => 'Please get the verification code first',
    'VERIFY_CODE_FALSE' => 'Verify code false',
    'MOBILE_HAD_EXIST' => 'The phone number is already in use！',
    'MOBILE_NO_REGISTER' => 'Phone number is not registered',
    'ACCOUNT_OR_PASSWORD_ERROR' => 'Account or password error!',
    'PASSWORD_ERROR' => 'Password error',
    'EMAIL_NO_BIND' => 'Email not bind',
    'MOBILE_NO_BIND' => 'Mobile not bind',
    'PASSWORD_NOT_SET' => 'Password not set',
    'APPLY_ADD_FRIEND' => 'Apply add friend',
    'ALREADY_FRIEND' => 'Already friend',
    'OPPOSITE_ACCOUNT_ERROR' => 'Opposite account error',
    'ADD_FRIEND_ERROR' => 'Add friend error',
    'NOT_ON_YOUR_BLACKLIST' => 'Not on your blacklist',
    'YOU_CANT_BLACK_YOURSELF' => 'You cant black yourself',
    'GROUP_CHAT_DOES_NOT_EXIST' => 'Group chat does not exist',
    'GROUP_NAME_NOT_NULL' => 'Group name not null',
    'TENCENT_IM_USER_ID_NULL' => 'Tencent_im_user_id is null',
    'UNAUTHORIZED_OPERATION' => 'Unauthorized operation',
    'TWO_PASSWORD_IS_NOT_SAME' => 'Two password is not same',

    'ATTACHMENT_UPLOAD_INVALID' => 'File upload invalid',
    'ATTACHMENT_SAVE_ERROR' => 'File save error',
    'ATTACHMENT_MAKE_FOLDER_ERROR' => 'Make folder error',
    'ATTACHMENT_TYPE_ERROR' => 'File type error',
    'ATTACHMENT_SIZE_EXCEEDED' => 'File size exceeded',
    'ATTACHMENT_FILE_NULL' => 'File not null',

    'HAD_BIND' => 'Had bind!',

    'PLEASE_ENTER_MOBILE_PHONE_NUMBER' => 'Please enter your mobile phone number',
    'MOBILE_PHONE_NUMBER_FORMAT_ERROR' => 'The number is invalid',
    'VERIFICATION_CODE_NOT_NULL' => 'Verification code must be',
    'TYPE_NOT_NULL' => 'Type not null',
    'PASSWORD_NOT_NULL' => 'Password not null',
    'KEY_NOT_NULL' => 'Please get the verification code',
    'PLEASE_ENTER_EMAIL' => 'Please enter email',
    'MAILBOX_FORMAT_ERROR' => 'Mailbox format error',
    'VERIFICATION_CODE_ERROR' => 'Verification code error',
    'MAILBOX_VALIDATION_NOTIFICATION' => 'Mailbox validation notification',
    'VERIFICATION_CODE_THIS_TIME' => 'Your registration verification code this time is',
    'VALID_FOR_5_MINUTES' => 'Valid for 5 minutes',
    'ILLEGAL_OPERATION' => 'Illegal_operation',
    'TEAM_NOT_EXIST' => 'Team not exist',
    'GAME_NOT_EXIST' => 'Game not exist',
    'ACCOUNT_HAD_BIND' => 'Account had bind',
    'MEMBER_HAD_FULL' => 'Sorry, slots are full',
    'YOU_HAVE_A_TEAM_ALREADY' => 'You have a team already!',

    'HOME_FIELD' => 'Home field',
    'VICE_FIELD' => 'Vice field',
    'WAITING_AUDIT' => 'Waiting audit',
    'APPROVED' => 'Approved',
    'AUDIT_FAILED' => 'Audit failed',
    'HAD_SUBMIT' => 'Had submit',
    'CANNOT_BE_ADDED_REPEATED' => 'Cannot be added repeatedly',
    'NOT_ALLOW' => 'Not allow',
    'WRITE_NUMBER' => 'Please fill in the number',
    'ZERO_50' => 'Range 0 to 50',

    'HIO' => 'HIO',
    'BIRD' => 'Bird',
    'EAGLE' => 'Eagle',
    'EAGLE_PLUS' => 'Eagle+',
    'PAR' => 'Par',

    'JUST_NOW' => 'Just now',
    'MINUTES_AGO' => ' Minutes ago',
    'TODAY' => 'Today ',
    'YESTERDAY' => 'Yesterday ',

    'APPLY_JOIN_GAME' => 'Apply join game ',
    'INVITE_JOIN_GAME' => 'Invite join game ',
    'APPLY_JOIN_TEAM' => 'Apply join team ',
    'INVITE_JOIN_TEAM' => 'Invite join team ',
    'JOIN_ALREADY' => 'Join already !',
    'LOOKING' => 'You are looking now',
    'PRAISED_YOUR_FEEDS' => 'Praised your feeds ',
    'COMMENTED_ON_YOUR_FEEDS' => 'Commented on your feeds ',

    'DATA_NOT_EXIST_OR_DEL' => 'Data not exist or delete',
    'COUNT_IS_WRONGFUL' => 'Count is wrongful',
    'FOLLOW' => 'follow you',

    'GAME_NEWS'=>'Game news',
    'TEAM_NEWS'=>'Team news',
    'FEEDS_NEWS'=>'Feeds news',
    'PUBLISH_FEED_NEWS'=>'Publish feed news',
    'Custom_message' => 'Custom message',
    'Picture' => 'Picture',
    'Voice' => 'Voice',
    'Position' => 'Position',
    'New_message' => 'New message',
    'MEMBER_COUNT_IllEGAL' => 'The members shall not be less than the current number',

    'VERIFICATION_CODE_EXPIRED'=>'Verification code expired',
    'VERIFICATION_PARSING_FAILED'=>'Verification parsing failed',
    'VERIFICATION_ERROR'=>'Verification error!',
    'WRONG_EVENT_TYPE'=>'Wrong event type!',
    'SMS_SENDING_FAILED'=>'Sms sending failed!',

    'YOU_HAVE_PASSED'=>'You have passed',
    'YOU_DO_NOT_HAVE_PASSED'=>'You do not have passed',
    'MEMBERSHIP_CERTIFICATION'=>'Membership certification',
    'GAME_NEWS' => 'Game news',
    'TEAM_NEWS' => 'Team news',
    'OVERALL' => 'Overall ',
    'USER_HAD_JOIN' => 'User had join',

    'START_NOTICE' => 'are participating in other game. After starting, they will be removed in this game. Confirm the start code?',

    'NOT_ALLOW_BEGIN_GAME' => 'You are going another game, not allow begin this game',
    //下面是  Http/Requests 验证

    'REMOVED_BY_GROUP_LEADER' => 'removed by group leader !',

    'NAME_REQUIRED' => 'Name required',
    'NAME_HAD_USED' => 'Name had used',
    'NAME_TOO_LONG' => 'Name too long',
    'NAME_TOO_SHORT' => 'Name too short',
    'DESC_TOO_LONG' => 'Brief introduction is too long',

    //用户编辑
    'PROFILE_TOO_LONG' => 'Profile too long',

    //球队编辑
    'NAME_REQUIRED' => 'Name required',
    'MEMBER_COUNTS_REQUIRED' => 'Member counts required',

    //编辑比赛
    'BEGIN_DATE_REQUIRED' => 'Begin date required',
    'BEGIN_TIME_REQUIRED' => 'Begin time required',
    'SCALE_REQUIRED' => 'Scale required',
    'COURSE_REQUIRED' => 'Course required',

    //球场会员
    'MEMBER_LENGTH_ILLEGAL' => 'Member length illegal',
    'MEMBER_USED' => 'Member had be used',
    'WHS_LENGTH_ILLEGAL' => 'Whs length illegal',
    'WHS_TOO_SHORT' => 'Whs too short',
    'WHS_USED' => 'Whs used',
    'WHS_REQUIRED' => 'Whs required',

    //添加比赛球员
    'GAME_REQUIRED' => 'Game required',
    'PLAYER_REQUIRED' => 'Player required',

    //添加动态
    'CONTENT_REQUIRED' => 'Content required',
    'CONTENT_TOO_LONG' => 'Content too long',
    'CONTENT_TOO_SHORT' => 'Content too short',

    //消息通知
    'STSTEM_NOTICE' => 'System notice',//系统通知
    'THUMBS_UP' => 'Liked your post', //点赞
    'COMMENT' => 'Comment on your dynamic', //评论
    'REPLY' => 'Reply your comment', //回复
    'INVITE_TEAM' => 'Invite join team ', //邀请加入球队
    'APPLY_TEAM' => 'Apply to join team', //申请加入球队
    'INVITE_GAME' => 'Invite join game ', //邀请加入比赛
    'GAME_APPLY' => 'Game apply', //申请加入比赛

    //网络出错，请重试~
    'NETWORK_ERROR' => 'Network error, try again~',

    'MALE' => 'Male',
    'FEMALE' => 'Female',


];
