<?php
$lang = request()->session()->get('admin.config.lang') ?? 'en';
return [
    /**
     * 用户中心
     * ------------------------------------------
     */
    [
        'id' => 8,
        'title' => trans('menu.User', [], $lang),
        'icon' => 'fa-user-circle-o',
        'uri' => 'users',
        'parent_id' => 0,
    ],
    [
        'id' => 27,
        'title' => trans('menu.User_list', [], $lang),
        'icon' => '',
        'uri' => 'users',
        'parent_id' => 8,
    ],
    [
        'id' => 28,
        'title' => trans('menu.User_auth', [], $lang),
        'icon' => '',
        'uri' => 'user_identify',
        'parent_id' => 8,
    ],
    [
        'id' => 29,
        'title' => trans('menu.Course_user', [], $lang),
        'icon' => '',
        'uri' => 'course_user',
        'parent_id' => 8,
    ],

    /**
     * 球场管理
     * ------------------------------------------
     */
    [
        'id' => 13,
        'title' => trans('menu.Course', [], $lang),
        'icon' => 'fa-university',
        'uri' => 'courses',
        'parent_id' => 0
    ],

    /**
     * 球队管理
     * ------------------------------------------
     */
    [
        'id' => 22,
        'title' => trans('menu.Team', [], $lang),
        'icon' => 'fa-group',
        'uri' => '',
        'parent_id' => 0
    ],
    [
        'id' => 31,
        'title' => trans('menu.Team_list', [], $lang),
        'icon' => '',
        'uri' => 'teams',
        'parent_id' => 22,
    ],
    [
        'id' => 23,
        'title' => trans('menu.Team_photo', [], $lang),
        'icon' => '',
        'uri' => 'team_photos',
        'parent_id' => 22,
    ],

    /**
     * 赛事管理
     * ------------------------------------------
     */
    [
        'id' => 10,
        'title' => trans('menu.Games', [], $lang),
        'icon' => 'fa-soccer-ball-o',
        'uri' => 'games',
        'parent_id' => 0,
    ],
    [
        'id' => 20,
        'title' => trans('menu.Game_list', [], $lang),
        'icon' => '',
        'uri' => 'games',
        'parent_id' => 10,
    ],
    [
        'id' => 21,
        'title' => trans('menu.Game_type', [], $lang),
        'icon' => '',
        'uri' => 'game_types',
        'parent_id' => 10,
    ],
    [
        'id' => 26,
        'title' => trans('menu.Game_record', [], $lang),
        'icon' => '',
        'uri' => 'game_user_scores',
        'parent_id' => 10,
    ],

    /**
     * 动态管理
     * ------------------------------------------
     */
    [
        'id' => 9,
        'title' => trans('menu.Feeds', [], $lang),
        'icon' => 'fa-commenting-o',
        'uri' => 'feeds',
        'parent_id' => 0,
    ],

    /**
     * 运营管理
     * ------------------------------------------
     */
    [
        'id' => 11,
        'title' => trans('menu.Operation', [], $lang),
        'icon' => 'fa-list-alt',
        'uri' => 'operate',
        'parent_id' => 0,
    ],
    [
        'id' => 19,
        'title' => trans('menu.Avatar', [], $lang),
        'icon' => '',
        'uri' => 'avatar',
        'parent_id' => 11,
    ],
    [
        'id' => 24,
        'title' => trans('menu.Feedback', [], $lang),
        'icon' => '',
        'uri' => 'feedback',
        'parent_id' => 11,
    ],
    [
        'id' => 25,
        'title' => trans('menu.Document', [], $lang),
        'icon' => '',
        'uri' => 'document',
        'parent_id' => 11,
    ],

    /**
     * 聊天管理
     * ------------------------------------------
     */
    [
        'id' => 18,
        'title' => trans('menu.Chat', [], $lang),
        'icon' => 'fa-comments',
        'uri' => '',
        'parent_id' => 0,
    ], [
        'id' => 16,
        'title' => trans('menu.chats', [], $lang),
        'icon' => '',
        'uri' => 'chat',
        'parent_id' => 18,
    ], [
        'id' => 17,
        'title' => trans('menu.chat_team', [], $lang),
        'icon' => '',
        'uri' => 'chat_team',
        'parent_id' => 18,
    ],

    /**
     * 积分商品
     * ------------------------------------------
     */
    [
        'id' => 30,
        'title' => trans('menu.Goods', [], $lang),
        'icon' => 'fa-shopping-bag',
        'uri' => '',
        'parent_id' => 0
    ],
    [
        'id' => 31,
        'title' => trans('menu.Goods_list', [], $lang),
        'icon' => '',
        'uri' => 'goods',
        'parent_id' => 30
    ],
    [
        'id' => 32,
        'title' => trans('menu.Order', [], $lang),
        'icon' => '',
        'uri' => 'order',
        'parent_id' => 30
    ],

    /**
     * 系统配置
     * ------------------------------------------
     */
    [
        'id' => 12,
        'title' => trans('menu.Setting', [], $lang),
        'icon' => 'fa-gears',
        'uri' => 'setting',
        'parent_id' => 0
    ],


];
