<?php

namespace App\Models;

use Dcat\Admin\Traits\HasDateTimeFormatter;
use Illuminate\Database\Eloquent\Model;

class ChatTeam extends Model
{
    use HasDateTimeFormatter;
    protected $table = 'chat_team';
    protected $fillable = ['user_id', 'Owner_Account','group_name','GroupId','FaceUrl','MaxMemberCount','ApplyJoinOption'];

    public function user()
    {
        return $this->belongsTo(User::class,'user_id','id');
    }
}
