<?php

namespace App\Models;

use Dcat\Admin\Traits\HasDateTimeFormatter;
use Illuminate\Database\Eloquent\Model;

class Feed extends Model
{
    use HasDateTimeFormatter;
    protected $table = 'feeds';
    protected $fillable = [
        'user_id',
        'content',
        'file_url',
        'status',
        'like_num',
        'forward_num',
        'address_info',
        'match_title',
        'game_per_id',
        'team_id',
        'forward_id',
        'score_card_bg',
    ];

    public function user()
    {
        return $this->belongsTo(User::class,'user_id','id');
    }
}
