<?php

return [

    /*
    |--------------------------------------------------------------------------
    | Api Language Lines
    |--------------------------------------------------------------------------
    */

    'SUCCESS' => '操作成功',
    'FAIL' => '操作失败',
    'NOT_EMPTY' => '不能为空！',
    'UPLOAD_SUCCESS' => '上传成功',
    'REQUESTS_TOO_FREQUENTLY' => '请求太频繁',
    'NOT_LOGIN' => '用户未登录',
    'NOT_EXIST' => '用户不存在',
    'PARAMS_ERROR' => '参数异常',
    'SAVE_ERROR' => '保存失败',
    'FEED_NOT_EXIST' => '动态不存在',
    'COMMENT_NOT_EXIST' => '评论不存在',
    'USER_NOT_EXIST' => '用户不存在',
    'CONTENT_NOT_NULL' => '内容不能为空',
    'WECHAT_CONFIG_LACK' => '微信参数未配置',
    'GET_OPENID_FALSE' => 'openId获取失败',
    'REGISTER_FALSE' => '注册失败',
    'REGISTER_CONFIRM_FALSE' => '用户验证失败',
    'DATA_SAVE_FALSE' => '数据保存失败',
    'MODULE_IS_NOT_USE' => '模块未安装，请检查后台配置',
    'CONFIGURE_SMS_TEMPLATE' => '请先配置短信模板',
    'SMS_AUTH_FAILED' => '短信授权错误',
    'SMS_RETURN_ERROR' => '短信返回错误',
    'NEED_CONFIGURE' => '请先至后台配置',
    'USER_IN_BLACK_LIST' => '用户被拉入黑名单',
    'USER_NO_AUTH' => '用户无权限',
    'CONFIG_ALI_PRODUCT_KEY_NEED' => '请在后台配置阿里云物联网产品key',
    'DEVICE_NOT_FOUND' => '设备不存在',
    'DEVICE_INFO_ERROR' => '设备信息异常',
    'DEVICE_NORMAL_ERROR' => '设备故障请联系客服!',
    'ORDER_CREATE_ERROR' => '订单创建失败',
    'RECHARGE_WECHAT_FAILURE' => '微信充值创建订单失败',
    'DATA_NOT_FOUND' => '数据不存在',
    'CASH_NEED_CONFIG' => '请先填写提现配置',
    'CASH_METHOD_NOT_ALLOW' => '无效的提现方式',
    'CASH_MONEY_FEW' => '提现金额必须大于最小设置金额',
    'CASH_TIMES_OUT' => '当日提现次数达到上限',
    'CASH_MONEY_NO_ENOUGH' => '余额不足',
    'DATA_DECODE_FAILURE' => '解密失败',
    'MOBILE_CODE_FALSE' => '请先获取验证码',
    'VERIFY_CODE_FALSE' => '验证码错误',
    'SESSION_KEY_INVALID' => 'sessionKey无效',
    'ILLEGAL_OPERATION' => '非法操作',
    'USER_IDENTIFY_NOT_ALLOW' => '请先通过身份审核！',
    'USER_FREEZE_ERROR' => '用户被冻结！',
    'USER_IS_APPLY' => '用户加盟审核中！',
    'USER_ACCOUNT_NOT_ENOUGH' => '用户余额不足！',
    'DEVICE_NET_ERROR' => '设备无网络！',
    'USER_TRANSPORT_NO_AUTH' => '用户无收运权限！',
    'CASH_MONEY_MAX' => '系统当日提现金额达到上限！',
    'MOBILE_HAD_EXIST' => '该手机号已被使用！',
    'MOBILE_NO_REGISTER' => '手机号未注册',
    'ACCOUNT_OR_PASSWORD_ERROR' => '账号或密码错误!',
    'PASSWORD_ERROR' => '密码错误',
    'EMAIL_NO_BIND' => '请先绑定邮箱才可以解绑手机',
    'MOBILE_NO_BIND' => '请先绑定手机才可以解绑邮箱',
    'USER_HAD_JOIN' => '已加入',
    'PASSWORD_NOT_SET' => '您尚未设置密码',
    'APPLY_ADD_FRIEND' => '申请添加你为好友',
    'ALREADY_FRIEND' => '已经是好友',
    'OPPOSITE_ACCOUNT_ERROR' => '对方账户错误',
    'ADD_FRIEND_ERROR' => '添加好友失败',
    'NOT_ON_YOUR_BLACKLIST' => '对方不在你的黑名单中',
    'YOU_CANT_BLACK_YOURSELF' => '不能拉黑自己',
    'GROUP_CHAT_DOES_NOT_EXIST' => '群聊不存在',
    'GROUP_NAME_NOT_NULL' => '群名称不能为空',
    'TENCENT_IM_USER_ID_NULL' => '用户 tencent_im_user_id 不存在',
    'UNAUTHORIZED_OPERATION' => '无权操作',
    'TWO_PASSWORD_IS_NOT_SAME' => '两次密码不一致',
    'HAD_BIND' => '您已绑定该账号',

    'ATTACHMENT_UPLOAD_INVALID' => '文件上传失败',
    'ATTACHMENT_SAVE_ERROR' => '文件保存失败',
    'ATTACHMENT_MAKE_FOLDER_ERROR' => '文件夹创建失败',
    'ATTACHMENT_TYPE_ERROR' => '文件类型错误',
    'ATTACHMENT_SIZE_EXCEEDED' => '文件大小超出',
    'ATTACHMENT_FILE_NULL' => '请上传文件',

    'PLEASE_ENTER_MOBILE_PHONE_NUMBER' => '请输入手机号',
    'MOBILE_PHONE_NUMBER_FORMAT_ERROR' => '手机号码格式错误',
    'VERIFICATION_CODE_NOT_NULL' => '验证码必须',
    'TYPE_NOT_NULL' => '类型必须',
    'KEY_NOT_NULL' => '请获取验证码',
    'PLEASE_ENTER_EMAIL' => '请输入邮箱',
    'MAILBOX_FORMAT_ERROR' => '邮箱格式错误',
    'VERIFICATION_CODE_ERROR' => '验证码错误',
    'MAILBOX_VALIDATION_NOTIFICATION' => '邮箱验证通知',
    'VERIFICATION_CODE_THIS_TIME' => '您本次的验证码是',
    'VALID_FOR_5_MINUTES' => '有效期 5 分钟',
    'HAS_BIND_WEIXIN' => '该账户已经绑定了微信',
    'HAS_BIND_FACEBOOK' => '该账户已经绑定了facebook',
    'TEAM_NOT_EXIST' => '球队不存在',
    'GAME_NOT_EXIST' => '比赛不存在',
    'ACCOUNT_HAD_BIND' => '该账号已被绑定',
    'MEMBER_HAD_FULL' => '成员已满',
    'YOU_HAVE_A_TEAM_ALREADY' => '您已经创建过球队!',

    'HOME_FIELD' => '主场',
    'VICE_FIELD' => '副场',
    'WAITING_AUDIT' => '待审核',
    'APPROVED' => '审核通过',
    'AUDIT_FAILED' => '审核不通过',
    'HAD_SUBMIT' => '已提交',
    'INVITE_JOIN_TEAM' => '邀请您加入他的球队',
    'CANNOT_BE_ADDED_REPEATED' => '不可重复添加',

    'HIO' => '一杆进洞',
    'BIRD' => '小鸟',
    'EAGLE' => '老鹰',
    'EAGLE_PLUS' => '信天翁',
    'PAR' => '帕',

    'JUST_NOW' => '刚刚',
    'DATA_NOT_EXIST_OR_DEL' => '数据不存在或已删除',
    'MINUTES_AGO' => '分钟前',
    'TODAY' => '今天',
    'YESTERDAY' => '昨天',
    'APPLY_JOIN_GAME' => '申请加入比赛：',
    'INVITE_JOIN_GAME' => '邀请加入比赛：',
    'JOIN_ALREADY' => '已加入!',
    'LOOKING' => '您已加入围观!',
    'APPLY_JOIN_TEAM' => '申请加入球队：',
    'PRAISED_YOUR_FEEDS' => '赞了你的动态',
    'COMMENTED_ON_YOUR_FEEDS' => '评论了你的动态',

    'NOT_EXIST' => '不存在',
    'COUNT_IS_WRONGFUL' => '数量不合法',
    'FOLLOW' => '关注了你',

    'VERIFICATION_CODE_EXPIRED'=>'验证码已过期',
    'VERIFICATION_PARSING_FAILED'=>'验证码解析失败',
    'VERIFICATION_ERROR'=>'验证码错误',
    'WRONG_EVENT_TYPE'=>'事件类型错误!',
    'SMS_SENDING_FAILED'=>'短信发送失败!',

    'GAME_NEWS' => '比赛消息',
    'TEAM_NEWS' => '球队消息',
    'FEEDS_NEWS' => '动态消息',
    'PUBLISH_FEED_NEWS' => '发布了新的动态',
    'Custom_message' => '自定义消息',
    'Picture' => '图片',
    'Voice' => '语音',
    'Position' => '位置',
    'New_message' => '新消息',
    'MEMBER_COUNT_IllEGAL' => '成员数量不得少于当前人数',

    'OVERALL' => '总杆',
    'START_NOTICE' => '正在参加其他赛，启动后，本次比赛会将他们移除，确认启动码？',
    'NOT_ALLOW_BEGIN_GAME' => '您正在进行其他比赛，不允许启动本场比赛',
    'REMOVED_BY_GROUP_LEADER' => '已被群主移出群聊 !',

    //用户编辑
    'NICKNAME_REQUIRED' => '昵称必填',
    'NICKNAME_HAD_USED' => '该昵称已被占用',
    'NICKNAME_TOO_LONG' => '昵称太长',
    'NICKNAME_TOO_SHORT' => '昵称太短',
    'PROFILE_TOO_LONG' => '简介在30字以内',

    //球队编辑
    'NAME_REQUIRED' => '球队名称必填',
    'NAME_HAD_USED' => '球队名称已被占用',
    'NAME_TOO_LONG' => '球队名称应太长',
    'NAME_TOO_SHORT' => '球队名称应太短',
    'MEMBER_COUNTS_REQUIRED' => '请填写成员数',
    'DESC_TOO_LONG' => '简介过长',

    'YOU_HAVE_PASSED'=>'您已通过',
    'YOU_DO_NOT_HAVE_PASSED'=>'您未通过',
    'MEMBERSHIP_CERTIFICATION'=>'的会员认证',
    'NOT_ALLOW' => '不允许解绑',
    'WRITE_NUMBER' => '请填写数字',
    'ZERO_50' => '范围 0到50',


    //编辑比赛
    'NAME_REQUIRED' => '活动名称必填',
    'NAME_TOO_LONG' => '活动名称太长',
    'NAME_TOO_SHORT' => '活动名称太短',
    'BEGIN_DATE_REQUIRED' => '开始日期必填',
    'BEGIN_TIME_REQUIRED' => '开始时间必填',
    'SCALE_REQUIRED' => '比赛规模',
    'COURSE_REQUIRED' => '请选择球场',

    //球场会员
    'MEMBER_LENGTH_ILLEGAL' => '会员号长度不合法',
    'MEMBER_USED' => '会员号已被占用',
    'WHS_LENGTH_ILLEGAL' => 'WHS长度不合法',
    'WHS_TOO_SHORT' => 'WHS太短',
    'WHS_USED' => 'WHS号已被占用',
    'WHS_REQUIRED' => 'WHS必填',

    //添加比赛球员
    'GAME_REQUIRED' => '请指定比赛',
    'PLAYER_REQUIRED' => '请指定球员',

    //添加动态
    'CONTENT_REQUIRED' => '请填写动态内容',
    'CONTENT_TOO_LONG' => '内容过多',
    'CONTENT_TOO_SHORT' => '内容过少',

    //消息通知
    'STSTEM_NOTICE' => '系统通知', //系统通知
    'THUMBS_UP' => '赞了你的动态', //点赞
    'COMMENT' => '评论了你的动态', //评论
    'REPLY' => '你收到了一条回复', //回复
    'INVITE_TEAM' => '邀请加入球队', //邀请加入球队
    'APPLY_TEAM' => '申请加入球队', //申请加入球队
    'INVITE_GAME' => '邀请加入比赛', //邀请加入比赛
    'GAME_APPLY' => '比赛申请', //申请加入比赛

    //网络出错，请重试~
    'NETWORK_ERROR' => '网络出错，请重试~',

    'MALE' => '男士',
    'FEMALE' => '女士',

];
